Bug 801611 - SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'getattr' accesses on the chr_file /dev/ptmx.
SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'getattr' ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c1b7bc6c986f363afad205f2ece...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-08 19:07 EST by kobe.bbgf
Modified: 2012-03-21 14:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-104.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:54:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kobe.bbgf 2012-03-08 19:07:01 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc6.git0.2.fc17.x86_64
reason:         SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'getattr' accesses on the chr_file /dev/ptmx.
time:           vie 09 mar 2012 01:05:35 CET

description:
:SELinux is preventing /opt/google/talkplugin/GoogleTalkPlugin from 'getattr' accesses on the chr_file /dev/ptmx.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that GoogleTalkPlugin should be allowed getattr access on the ptmx chr_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep GoogleTalkPlugi /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                system_u:object_r:ptmx_t:s0
:Target Objects                /dev/ptmx [ chr_file ]
:Source                        GoogleTalkPlugi
:Source Path                   /opt/google/talkplugin/GoogleTalkPlugin
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           google-talkplugin-2.6.2.0-1.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-95.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-0.rc6.git0.2.fc17.x86_64
:                              #1 SMP Mon Mar 5 16:54:07 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    vie 09 mar 2012 01:02:46 CET
:Last Seen                     vie 09 mar 2012 01:02:46 CET
:Local ID                      a8a59cce-9689-4a92-a7c2-72e692b10bf1
:
:Raw Audit Messages
:type=AVC msg=audit(1331251366.616:184): avc:  denied  { getattr } for  pid=19631 comm="GoogleTalkPlugi" path="/dev/ptmx" dev="devtmpfs" ino=5565 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:ptmx_t:s0 tclass=chr_file
:
:
:type=SYSCALL msg=audit(1331251366.616:184): arch=x86_64 syscall=stat success=yes exit=0 a0=250d078 a1=2515640 a2=2515640 a3=23 items=0 ppid=1 pid=19631 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=GoogleTalkPlugi exe=/opt/google/talkplugin/GoogleTalkPlugin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: GoogleTalkPlugi,mozilla_plugin_t,ptmx_t,chr_file,getattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-03-09 09:51:07 EST
Did google talk work for you?
Comment 2 kobe.bbgf 2012-03-09 13:04:15 EST
Yes, it work perfect.
I also add the exception to te SElinux politics, and I have no more alerts.
Comment 3 Daniel Walsh 2012-03-09 13:09:57 EST
I want to dontaudit this.
Dontaudit in selinux-policy-3.10.0-99.fc17
Comment 4 Fedora Update System 2012-03-19 13:55:42 EDT
selinux-policy-3.10.0-103.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-103.fc17
Comment 5 Fedora Update System 2012-03-20 02:08:45 EDT
Package selinux-policy-3.10.0-104.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-104.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4248/selinux-policy-3.10.0-104.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-03-21 14:54:37 EDT
selinux-policy-3.10.0-104.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.